/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cviceni.actions;

import com.opensymphony.xwork2.ActionSupport;
import cviceni.model.Uzivatel;
import cviceni.services.UzivatelService;
import java.util.Map;
import javax.security.auth.login.LoginException;
import cviceni.util.Constants;

import org.apache.commons.lang.StringUtils;
import org.apache.struts2.interceptor.SessionAware;

/**
 *
 * @author nav79
 */
public class LoginAction extends ActionSupport implements SessionAware {

    private Map<String, Object> session;
    private String username;
    private String password;
    private UzivatelService service;

    @Override
    public String execute() throws Exception {
        Uzivatel user;
        if (!StringUtils.isBlank(username) && !StringUtils.isBlank(password)) {
            try {
                user = service.login(username, password);
                if (user != null) {
                    session.put(Constants.LOGGED_USER, user);
                    return SUCCESS;
                }
            } catch (LoginException le) {
                addActionError(getText(le.getMessage()));
            }
        }
        return INPUT;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public void setService(UzivatelService service) {
        this.service = service;
    }

    public void setSession(Map<String, Object> arg0) {
        session = arg0;
    }
}
