/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cviceni.actions;

import cviceni.model.Uzivatel;
import cviceni.services.UzivatelService;
import java.util.Map;
import javax.security.auth.login.LoginException;
import cviceni.util.Constants;

import java.util.logging.Level;
import java.util.logging.Logger;
import org.apache.struts2.dispatcher.SessionMap;
import org.apache.struts2.interceptor.SessionAware;

/**
 *
 * @author nav79
 */
public class LogoutAction extends Action implements SessionAware {

    private Map<String, Object> session;
    private String username;
    private String password;
    private UzivatelService service;
    private Logger logger = Logger.getLogger(this.getClass().getName());

    @Override
    public String execute() throws Exception {
        if (session.containsKey(Constants.LOGGED_USER)) {
            session.remove(Constants.LOGGED_USER);
        }
        if (session instanceof SessionMap) {
            try {
                SessionMap s = (SessionMap) session;
                s.clear();
                s.invalidate();
                s = null;
            } catch (IllegalStateException e) {
                logger.log(Level.SEVERE, getText("error.session.invalidated"), e);
            }
        }
        return SUCCESS;
    }

    public void setSession(Map<String, Object> arg0) {
        session = arg0;
    }
}
